Last Comment Bug 512085 - (SM1.1.18) tracking bug for build and release of SeaMonkey 1.1.18
(SM1.1.18)
: tracking bug for build and release of SeaMonkey 1.1.18
Status: RESOLVED FIXED
: fixed-seamonkey1.1.18
Product: SeaMonkey
Classification: Client Software
Component: Release Engineering (show other bugs)
: Trunk
: All All
: -- critical (vote)
: ---
Assigned To: Robert Kaiser
:
Mentors:
https://wiki.mozilla.org/SeaMonkey:Re...
Depends on: 506948 512086 514394
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-22 12:07 PDT by Robert Kaiser
Modified: 2010-04-01 14:09 PDT (History)
1 user (show)
kairo: blocking‑seamonkey1.1.18+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Robert Kaiser 2009-08-22 12:07:51 PDT
+++ This bug was initially created as a clone of Bug #496355 +++
Comment 1 Robert Kaiser 2009-08-22 12:19:50 PDT
For a good period of time leading up to this release, the "hoshi" box doing the 1.8 branch Linux builds and NATing the Windows machine was having problems due to a file system problem, which I fixed this afternoon Central European time.

Now that it should be up again, I started the process with tagging.


Tagging process started at 2009-08-22 11:48 PDT using the following commands:

cvs -d :ext:kairo%kairo.at@cvs.mozilla.org:/cvsroot checkout -r GECKO181_20090812_RELBRANCH -D "2009-08-22 20:48:00" mozilla/client.mk
cd mozilla
make -f client.mk checkout MOZ_CO_PROJECT=suite
rm -rf security/nss-fips
cvs -d :ext:kairo%kairo.at@cvs.mozilla.org:/cvsroot tag -b SEAMONKEY_1_1_18_MINIBRANCH client.mk
cvs -d :ext:kairo%kairo.at@cvs.mozilla.org:/cvsroot commit -r SEAMONKEY_1_1_18_MINIBRANCH -m 'initial minibranch commit' client.mk
mv client.mk ../client.mk.orig
sed 's/THUNDERBIRD_2_0_0_23_RELEASE/SEAMONKEY_1_1_18_RELEASE/' ../client.mk.orig > client.mk
rm ../client.mk.orig
cvs -d :ext:kairo%kairo.at@cvs.mozilla.org:/cvsroot commit -r SEAMONKEY_1_1_18_MINIBRANCH -m 'edit tags to pull from SEAMONKEY_1_1_18_RELEASE' client.mk
mv xpfe/bootstrap/version.txt ../version.txt.orig
sed 's/pre//' ../version.txt.orig > xpfe/bootstrap/version.txt
rm ../version.txt.orig
mv xpfe/bootstrap/module.ver ../module.ver.orig
sed 's/pre//' ../module.ver.orig > xpfe/bootstrap/module.ver
rm ../module.ver.orig
cvs -d :ext:kairo%kairo.at@cvs.mozilla.org:/cvsroot commit -r GECKO181_20090812_RELBRANCH -m 'remove "pre" postfix from SeaMonkey version on release branch' xpfe/bootstrap/module.ver xpfe/bootstrap/version.txt
cvs -d :ext:kairo%kairo.at@cvs.mozilla.org:/cvsroot tag -F SEAMONKEY_1_1_18_RELEASE client.mk
cvs -d :ext:kairo%kairo.at@cvs.mozilla.org:/cvsroot tag SEAMONKEY_1_1_18_RELEASE


Tagging finished at approx. 2009-08-22 12:00 PDT
Comment 2 Robert Kaiser 2009-08-22 12:21:37 PDT
Version bumped to 1.1.19pre on main 1.8 branch, waiting for a successful Linux nightly cycle before starting off the 1.1.18 release build runs.
Comment 3 Robert Kaiser 2009-08-24 04:01:45 PDT
The builds are done and up at http://ftp.mozilla.org/pub/mozilla.org/seamonkey/nightly/candidates-1.1.18/ now - the funny thing is that the first green build hoshi did in weeks is the release :)
Comment 4 Robert Kaiser 2009-08-25 07:05:20 PDT
Now that we have a patch for bug 512187, I landed it on the relbranch, moved the SEAMONKEY_1_1_18_RELEASE tag on that file and restarted Windows builds.
I think I won't renew the source tarballs for this as those using the tarballs are usually not using the Windows installer.
Comment 5 Robert Kaiser 2009-09-03 05:21:50 PDT
Testing seems enough and no problems reported since I posted the renewed Windows builds. Therefore, I pushed the files to public FTP now, official release should follow in a few hours.
Comment 6 Robert Kaiser 2009-09-03 14:33:01 PDT
Website changes pushed online, we can consider this done.

Note You need to log in before you can comment on or make changes to this bug.